APIAccounts

Create or update an account by domain

Idempotently creates or updates an account matched on `domain`. Provided fields (including `custom_fields`) overwrite existing values; omitted fields are left unchanged.

POST
/v1/records/accounts/upsert

Idempotently creates or updates an account matched on domain. Provided fields (including custom_fields) overwrite existing values; omitted fields are left unchanged.

X-Api-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/records/accounts/upsert" \  -H "Content-Type: application/json" \  -d '{    "account_name": "Acme Corp",    "domain": "acme.com"  }'
{
  "data": {
    "account_name": "Acme Corp",
    "domain": "acme.com",
    "linkedin_url": "https://linkedin.com/company/acme",
    "address": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "country": "USA",
    "relationship_type": "prospect",
    "sales_status": "lead",
    "icp_label": "Enterprise",
    "tags": [
      "saas",
      "enterprise"
    ],
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "crm_id": "123456",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "created": true
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}